﻿Module Globals
    ' Resize the control keeping it centered.
    Public Sub StretchControl(ByVal ctl As Control, ByVal scale As Single)
        Dim new_width As Single = ctl.Width * scale
        Dim new_height As Single = ctl.Height * scale
        Dim cx As Double = ctl.Left + ctl.Width / 2
        Dim cy As Double = ctl.Top + ctl.Height / 2
        ctl.Bounds = New Rectangle( _
            CInt(cx - new_width / 2), _
            CInt(cy - new_height / 2), _
            CInt(new_width), _
            CInt(new_height))
    End Sub
End Module
